> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Get Observability Summary > This API call returns a summary of the specified POP, including details regarding previous and scheduled discovery and deployment timestamps. ## OpenAPI ````json GET /orchestrator/1.0/observability-summary/env/{envId}/pop/{popId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

The PlainID Authorization Platform provides Management capabilities through the APIs below.

To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
RegionBase URL
United States (US)https://api.us1.plainid.io
Canada (CA)https://api.ca1.plainid.io
Europe (EU)https://api.eu1.plainid.io
Local PAAhttps://api.plainid.local
" }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "tags": [ { "name": "access-file-authorizer-oas", "description": "access-file-authorizer-oas" }, { "name": "authz-packager-oas", "description": "authz-packager-oas" }, { "name": "SQL Database Authorizer", "description": "API for modifying SQL queries based on authorization policies" }, { "name": "delegated-admin-oas", "description": "delegated-admin-oas" }, { "name": "Discovery", "description": "Discovery APIs" }, { "name": "Enrichment", "description": "Enrichment APIs" }, { "name": "env-mgmt-oas", "description": "env-mgmt-oas" }, { "name": "hybrid-commander-oas", "description": "hybrid-commander-oas" }, { "name": "auth-keys", "description": "Auth key operations" }, { "name": "components", "description": "Component operations" }, { "name": "paas", "description": "PAA operations" }, { "name": "paa-groups", "description": "PAA group operations" }, { "name": "packages", "description": "Package configuration operations" }, { "name": "secret-stores", "description": "Secret store operations" }, { "name": "Table Mapping", "description": "Table Mapping" }, { "name": "Column Mapping", "description": "Column Mapping" }, { "name": "Api Mapping", "description": "Api Mapping" }, { "name": "notifier-oas", "description": "notifier-oas" }, { "name": "shadow-tracker", "description": "Shadow tracker SSE stream" }, { "name": "orchestrator-oas", "description": "orchestrator-oas" }, { "name": "POP", "description": "pop operations" }, { "name": "org-mgmt-oas", "description": "org-mgmt-oas" }, { "name": "pip-mgmt-oas", "description": "pip-mgmt-oas" }, { "name": "monitor-loggers", "description": "monitor-loggers" }, { "name": "Policy Management APIs", "description": "Policy Management APIs" }, { "name": "Policy Management APIs 1.0", "description": "Policy Management APIs 1.0" }, { "name": "Policy Management APIs 2.0", "description": "Policy Management APIs 2.0" }, { "name": "Policy Building Blocks Management APIs 2.0", "description": "Policy Building Blocks Management APIs 2.0" }, { "name": "Audit", "description": "Audit" }, { "name": "Asset Template", "description": "Asset Template" }, { "name": "Application", "description": "Application" }, { "name": "Api Mapper", "description": "Api Mapper" }, { "name": "Identity Template", "description": "Identity Template" }, { "name": "Identity Sources", "description": "Identity Sources" }, { "name": "Mapper Sets", "description": "Mapper Sets" }, { "name": "Identity Template V2", "description": "Identity Template V2" }, { "name": "PAA Sources", "description": "PAA Sources" }, { "name": "PAA Views", "description": "PAA Views" }, { "name": "PAA Groups", "description": "PAA Groups" }, { "name": "Scope", "description": "Managed Scope APIs" }, { "name": "Authentication for Management APIs", "description": "Authentication for Management APIs" }, { "name": "runtime", "description": "runtime" }, { "name": "Cache Management", "description": "Cache invalidation operations for Runtime service" } ], "externalDocs": { "url": "https://docs.plainid.io/apidocs/policy-management-apis" }, "paths": { "/orchestrator/1.0/observability-summary/env/{envId}/pop/{popId}": { "get": { "security": [ { "bearerAuth": [] } ], "summary": "Get Observability Summary", "operationId": "getObservabilitySummary", "tags": [ "POP" ], "description": "This API call returns a summary of the specified POP, including details regarding previous and scheduled discovery and deployment timestamps.", "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "example": "ec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "name": "popId", "in": "path", "required": "true", "schema": { "type": "string", "example": "POPS269J5C16H8N4" }, "description": "POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings in the Integration Workspace." } ], "responses": { "200": { "description": "Success", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ObservabilitySummaryResponse" }, "examples": { "manage_pop": { "summary": "MANAGE POP with scheduled discovery and deployment", "value": { "data": { "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z", "lastSuccessfulDeployment": "2024-06-14T08:22:00Z", "nextScheduledDiscovery": "2024-06-15T08:15:00Z", "nextScheduledDeployment": "2024-06-15T08:15:00Z" } } }, "learn_pop": { "summary": "LEARN POP — no scheduled deployment timestamps", "value": { "data": { "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z", "nextScheduledDiscovery": "2024-06-15T08:15:00Z" } } }, "with_last_failure": { "summary": "POP with a recent workflow failure", "value": { "data": { "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z", "lastSuccessfulDeployment": "2024-06-14T08:22:00Z", "nextScheduledDiscovery": "2024-06-15T08:15:00Z", "nextScheduledDeployment": "2024-06-15T08:15:00Z", "lastFailureTime": "2024-06-13T16:40:00Z", "lastFailureMessage": "activity error (type: DeployPolicies, scheduledEventID: 12): connection timeout" } } } } } } }, "400": { "description": "Bad Request" }, "401": { "description": "Unauthorized" }, "404": { "description": "Not Found" }, "500": { "description": "Internal Server Error" } } } } }, "components": { "schemas": { "ObservabilitySummaryResponse": { "type": "object", "required": [ "data" ], "properties": { "data": { "$ref": "#/components/schemas/ObservabilitySummaryData" } } }, "ObservabilitySummaryData": { "type": "object", "description": "Timestamps for POP data", "properties": { "lastSuccessfulDiscovery": { "type": "string", "nullable": "true", "description": "Timestamp for the last successful Discovery in UTC." }, "lastSuccessfulDeployment": { "type": "string", "nullable": "true", "description": "Timestamp for the last successful Deployment in UTC." }, "nextScheduledDiscovery": { "type": "string", "nullable": "true", "description": "Time set for the next scheduled Discovery in UTC." }, "nextScheduledDeployment": { "type": "string", "nullable": "true", "description": "Time set for the next scheduled Deployment in UTC." }, "lastFailureTime": { "type": "string", "nullable": "true", "description": "Timestamp for the last failure time in UTC." }, "lastFailureMessage": { "type": "string", "nullable": "true", "description": "The failure message returned for the last failed discovery or deployment operation. " } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: `Authorization: Bearer 123`" } } } } ````